ReactPhysics3D: reactphysics3d::FixedJointComponents Class Reference

| ReactPhysics3D v0.10.2 C++ Physics engine library

Loading...
Searching...
No Matches
Classes | Public Member Functions | List of all members
reactphysics3d::FixedJointComponents Class Reference

This class represent the component of the ECS with data for the FixedJoint. More...

`#include <include/reactphysics3d/components/FixedJointComponents.h>`

Inheritance diagram for reactphysics3d::FixedJointComponents:

## Classes
struct | FixedJointComponent
| Structure for the data of a transform component. More...

## Public Member Functions
| FixedJointComponents (MemoryAllocator &allocator)
| Constructor.
virtual | ~FixedJointComponents () override=default
| Destructor.
void | addComponent (Entity jointEntity, bool isDisabled, const FixedJointComponent &component)
| Add a component.
FixedJoint * | getJoint (Entity jointEntity) const
| Return a pointer to a given joint.
void | setJoint (Entity jointEntity, FixedJoint *joint) const
| Set the joint pointer to a given joint.
const Vector3 & | getLocalAnchorPointBody1 (Entity jointEntity) const
| Return the local anchor point of body 1 for a given joint.
void | setLocalAnchorPointBody1 (Entity jointEntity, const Vector3 &localAnchorPointBody1)
| Set the local anchor point of body 1 for a given joint.
const Vector3 & | getLocalAnchorPointBody2 (Entity jointEntity) const
| Return the local anchor point of body 2 for a given joint.
void | setLocalAnchorPointBody2 (Entity jointEntity, const Vector3 &localAnchoirPointBody2)
| Set the local anchor point of body 2 for a given joint.
const Vector3 & | getR1World (Entity jointEntity) const
| Return the vector from center of body 1 to anchor point in world-space.
void | setR1World (Entity jointEntity, const Vector3 &r1World)
| Set the vector from center of body 1 to anchor point in world-space.
const Vector3 & | getR2World (Entity jointEntity) const
| Return the vector from center of body 2 to anchor point in world-space.
void | setR2World (Entity jointEntity, const Vector3 &r2World)
| Set the vector from center of body 2 to anchor point in world-space.
const Matrix3x3 & | getI1 (Entity jointEntity) const
| Return the inertia tensor of body 1 (in world-space coordinates)
void | setI1 (Entity jointEntity, const Matrix3x3 &i1)
| Set the inertia tensor of body 1 (in world-space coordinates)
const Matrix3x3 & | getI2 (Entity jointEntity) const
| Return the inertia tensor of body 2 (in world-space coordinates)
void | setI2 (Entity jointEntity, const Matrix3x3 &i2)
| Set the inertia tensor of body 2 (in world-space coordinates)
Vector3 & | getImpulseTranslation (Entity jointEntity)
| Return the translation impulse.
void | setImpulseTranslation (Entity jointEntity, const Vector3 &impulseTranslation)
| Set the translation impulse.
Vector3 & | getImpulseRotation (Entity jointEntity)
| Return the translation impulse.
void | setImpulseRotation (Entity jointEntity, const Vector3 &impulseTranslation)
| Set the translation impulse.
Matrix3x3 & | getInverseMassMatrixTranslation (Entity jointEntity)
| Return the translation inverse mass matrix of the constraint.
void | setInverseMassMatrixTranslation (Entity jointEntity, const Matrix3x3 &inverseMassMatrix)
| Set the translation inverse mass matrix of the constraint.
Matrix3x3 & | getInverseMassMatrixRotation (Entity jointEntity)
| Return the rotation inverse mass matrix of the constraint.
void | setInverseMassMatrixRotation (Entity jointEntity, const Matrix3x3 &inverseMassMatrix)
| Set the rotation inverse mass matrix of the constraint.
Vector3 & | getBiasTranslation (Entity jointEntity)
| Return the translation bias.
void | setBiasTranslation (Entity jointEntity, const Vector3 &impulseTranslation)
| Set the translation impulse.
Vector3 & | getBiasRotation (Entity jointEntity)
| Return the rotation bias.
void | setBiasRotation (Entity jointEntity, const Vector3 &impulseRotation)
| Set the rotation impulse.
Quaternion & | getInitOrientationDifferenceInv (Entity jointEntity)
| Return the initial orientation difference.
void | setInitOrientationDifferenceInv (Entity jointEntity, const Quaternion &initOrientationDifferenceInv)
| Set the rotation impulse.
Public Member Functions inherited from reactphysics3d::Components
| Components (MemoryAllocator &allocator, size_t componentDataSize, size_t alignmentMarginSize)
| Constructor.
virtual | ~Components ()
| Destructor.
void | init ()
| Initialize the components:
void | removeComponent (Entity entity)
| Remove a component.
bool | getIsEntityDisabled (Entity entity) const
| Return true if an entity is disabled.
void | setIsEntityDisabled (Entity entity, bool isDisabled)
| Notify if a given entity is disabled.
bool | hasComponent (Entity entity) const
| Return true if there is a component for a given entity.
bool | hasComponentGetIndex (Entity entity, uint32 &entityIndex) const
| Return true if there is a component for a given entiy and if so set the entity index.
uint32 | getNbComponents () const
| Return the number of components.
uint32 | getNbEnabledComponents () const
| Return the number of enabled components.
uint32 | getEntityIndex (Entity entity) const
| Return the index in the arrays for a given entity.

## Detailed Description

This class represent the component of the ECS with data for the FixedJoint.

The documentation for this class was generated from the following files:

- include/reactphysics3d/components/FixedJointComponents.h
- src/components/FixedJointComponents.cpp